import { PersonalData } from "./PersonalDataTypes";

export const personalData: PersonalData = {
    updatedDate: '2023-05-26',
    name: "David Hrdina Němeček",
    brief: "Software developer, people manager.",

    contacts: [
        {icon: 'browser-firefox', text: 'www.dejvino.cz'},
        {icon: 'envelope-at', text: 'explosive@dejvino.cz'},
        {icon: 'git', text: 'https://git.dejvino.cz'},
        {icon: 'telephone', text: '+420 111 222 333'},
        {icon: 'geo-alt', text: 'Brno, Czechia'}
    ],
    jobs: {
        current: {
            position: 'Senior Software Development Manager',
            company: 'Oracle|NetSuite',
            timerange: '2022 - present',
            description: 'Lead role in the development of internal UI frameworks, components and tools.',
            tags: ['TypeScript', 'Preact', 'NodeJs/NPM']
        },
        previous: [
            {
                position: 'Software Development Manager',
                company: 'Oracle|NetSuite',
                timerange: '2017 - 2022',
                description: '',
            },
            {
                position: 'Senior Software Engineer',
                company: 'Oracle|NetSuite',
                timerange: '2013 - 2017',
                description: '',
            },
            {
                position: 'Software Engineer',
                company: 'Q2 Interactive',
                timerange: '2009 - 2013',
                description: `Development and project lead of multiple web applications:
                - CRM system (PHP backend with Android frontend),
                - Accounting web app,
                - e-commerce sites.`,
                tags: ['PHP', 'Java', 'Server hosting', 'Linux', 'Android']
            }
        ]
    },
    education: {
        previous: [
            {
                position: 'Information Technology (unfinished)',
                company: 'University of Benimoto',
                timerange: '2010 - 2017',
                description: '',
            }
        ]
    },
    skills: {
        primary: ['Java', 'TypeScript', 'JavaScript'],
        secondary: ['Kotlin', 'Go'],
        languages: ['Czech (native)', 'English (proficient)', 'German (elementary)'],
        others: ['Driver\'s license (B)']
    },
    interests: ['Guitars and Heavy Metal', 'Mazda MX-5', 'DIY electronics'],
};
